### R code from vignette source 'standGL.rnw'

###################################################
### code chunk number 1: standGL.rnw:25-31
###################################################
set.seed(10)
library("standGL")
load("VignetteExample.rdata")
X <- data$covariates
y <- data$response
index <- data$groupMemberships


###################################################
### code chunk number 2: standGL.rnw:38-40
###################################################
X <- cbind(rep(1,length(y)), X)
index <- c(0,index)


###################################################
### code chunk number 3: standGL.rnw:45-49
###################################################
is.pen <- c(0,rep(1,(length(unique(index)) - 1)))
dim(X)
length(y)
length(is.pen)


###################################################
### code chunk number 4: standGL.rnw:54-56
###################################################
cv.fit <- cv.standGL(y,X,index, family="linear", is.pen = is.pen)
fit <- standGL(y,X,index, family="linear", is.pen = is.pen)


###################################################
### code chunk number 5: standGL.rnw:65-66
###################################################
plot(cv.fit)


###################################################
### code chunk number 6: standGL.rnw:68-69
###################################################
cv.fit$lambda.min


###################################################
### code chunk number 7: <
###################################################
our.Model  <- which(cv.fit$lambdas == cv.fit$lambda.min)
Active.Index <- which(fit$beta[,our.Model] != 0)
Active.Coefficients <- fit$beta[Active.Index, our.Model]
Active.Index


###################################################
### code chunk number 8: standGL.rnw:90-92
###################################################
cv.fit.ridge <- cv.standGL(y,X,index, family="ridge", is.pen = is.pen, alpha = 0.95)
fit.ridge <- standGL(y,X,index, family= "ridge", is.pen = is.pen, alpha = 0.95)


###################################################
### code chunk number 9: standGL.rnw:108-109
###################################################
plot(cv.fit.ridge)


###################################################
### code chunk number 10: standGL.rnw:111-112
###################################################
cv.fit.ridge$lambda.min


